Anonymous Login
2017-09-20 11:13 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001817OpenClonkEnginepublic2017-03-31 17:42
ReporterK-Pone 
Assigned To 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0001817: Editor loading wrong scenarios
DescriptionWhen creating a new scenario, it won't be loaded when clicking OK. When you load a .ocf file (which is not possible because you can't load a scenario folder in the editor) the newly created scenario will be loaded after you get a FATAL ERROR in the log.
Steps To Reproduce- Create a new scenario (I chose Melee with only Objects.ocd)
- Load a .ocf file (I chose Arena.ocf)
TagsEditor
Attached Files

-Relationships
+Relationships

-Notes

~0005432

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/c3cf464a8315514d84a743a0f0519c07bb9ca0bf

Changeset c3cf464 by Lukas Werling <lukas.werling@gmail.com>
Editor: Fix scenario open filter (0001817)

~0005433

Luchs (developer)

Last edited: 2016-09-18 23:27

View 2 revisions

>which is not possible because you can't load a scenario folder in the editor

This is supposed to work by opening the Scenario.txt file. I fixed the filter so that this is actually possible now.

Edit: So I probably mis-interpreted this, but I still fixed an apparently unrelated bug!

~0005640

Luchs (developer)

K-Pone reports that this is working now.
+Notes

-Issue History
Date Modified Username Field Change
2016-08-31 00:44 K-Pone New Issue
2016-08-31 00:44 K-Pone Tag Attached: Editor
2016-09-18 23:24 occ Note Added: 0005432
2016-09-18 23:25 Luchs Note Added: 0005433
2016-09-18 23:27 Luchs Note Edited: 0005433 View Revisions
2017-03-31 17:42 Luchs Status new => resolved
2017-03-31 17:42 Luchs Resolution open => fixed
2017-03-31 17:42 Luchs Note Added: 0005640
+Issue History